# Raspberry Pi

## Raspbian lite installieren

Auf der vorbereiteten SD-Karte muss im Laufwerk "boot" eine leere Datei `ssh` angelegt werden, damit der SSH-Zugang freigeschaltet wird.

### Nach dem ersten Login:

```
sudo apt update
sudo apt upgrade
```

### Konfiguration anpassen:

```
sudo raspi-config
```

- Zeitzone anpassen
- Passwort ändern
- Spracheinstellungen ändern

## Zusatzprogramme installieren

```
sudo apt install mc git zbar-tools build-essential python-dev
```

## Benutzer anlegen

Damit der Benutzer auch auf die GPIOs zugreifen kann, muss er zur Gruppe `pgio` hinzugefügt werden.

```
adduser kamera
...
sudo usermod -a -G gpio kamera
```

## virtuelle Python Umgebung einrichten

```
sudo apt install python3-venv
cd /opt
sudo python3 -m venv kamera
sudo chown -R kamera:kamera /opt/kamera/
```

### virtuelle Umgebung aktivieren

```
su kamera
cd /opt/kamera
source bin/activate
```

Wenn alles geklappt hat, befindet man sich jetzt in der virtuellen Python Umgebung und kann dort die benötigten Module installieren

```
pip install rpi.gpio